package com.sun.org.apache.xml.internal.security.signature;

import org.w3c.dom.Node;
import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
import com.sun.org.apache.xml.internal.security.utils.SignatureElementProxy;

public class SignatureProperty extends SignatureElementProxy
{
    public SignatureProperty(Document document, String s) {
        this(document, s, null);
    }
    
    public SignatureProperty(Document doc, String target, String id) {
        super(doc);
        this.setTarget(target);
        this.setId(id);
    }
    
    public SignatureProperty(Element element, String baseURI) throws XMLSecurityException {
        super(element, baseURI);
    }
    
    public void setId(String value) {
        if (value != null) {
            this.setLocalIdAttribute("Id", value);
        }
    }
    
    public String getId() {
        return this.getLocalAttribute("Id");
    }
    
    public void setTarget(String value) {
        if (value != null) {
            this.setLocalAttribute("Target", value);
        }
    }
    
    public String getTarget() {
        return this.getLocalAttribute("Target");
    }
    
    public Node appendChild(Node toAppend) {
        this.appendSelf(toAppend);
        return toAppend;
    }
    
    @Override
    public String getBaseLocalName() {
        return "SignatureProperty";
    }
}
